Download it now!
Bug 51040 - EDITING: CRASH when zoom to "Page Width" is used under "Page Preview"
Summary: EDITING: CRASH when zoom to "Page Width" is used under "Page Preview"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: x86-64 (AMD64) All
: medium critical
Assignee: Not Assigned
URL:
Whiteboard: target:3.7.0 target:3.6.0.0.beta3
Keywords:
Depends on:
Blocks: mab3.6
  Show dependency treegraph
 
Reported: 2012-06-13 08:27 UTC by Tim Hardeck
Modified: 2012-06-26 10:29 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with symbols on master (12.86 KB, text/plain)
2012-06-13 13:17 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Hardeck 2012-06-13 08:27:54 UTC
Calc crashes if zoom to "Page Width" is used under "Page Preview".
It does not crash if this function is used in the regular view.

Steps to reproduce:
1. start Calc
2. open the "Page Preview"
3. click with the right mouse button on the zoom percentages in the lower right
4. select "Page Width"

This issue also appears in 3.6 Beta 1 but not 3.5.3.
Comment 1 Julien Nabet 2012-06-13 13:17:03 UTC
Created attachment 62985 [details]
bt with symbols on master

On pc Debian x86-64, with master sources updated today.
I attached the bt.
At first look in the bt, it seems there's a kind of loop.
Comment 2 Rainer Bielefeld Retired 2012-06-14 07:25:16 UTC
[Reproducible] with Server Installation of  "LibreOffice 3.6.0beta1  German UI/Locale [Build-ID: 1f1cdd8] on German WIN7 Home Premium (64bit)

@Markus:
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug
Comment 3 Not Assigned 2012-06-24 16:55:40 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=793f1e70ce4c364b366d2e8065ea7fb2815bbf40

set the zoom only once, prevents infinite loop, fdo#51040
Comment 4 Markus Mohrhard 2012-06-24 17:01:58 UTC
@Noel: Can you have a look at that. My patch fixes the infinite loop but I may have broken one of your use cases. it is related to your f194d18dfeceff104f9c5e500ea4dd94fa1b5b06
Comment 5 Not Assigned 2012-06-24 17:07:02 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a266f82d2199974dee0429ddc263d2ca2cecea1c&g=libreoffice-3-6

set the zoom only once, prevents infinite loop, fdo#51040


It will be available in LibreOffice 3.6.
Comment 6 Noel Power 2012-06-26 10:26:42 UTC
(In reply to comment #4)
> @Noel: Can you have a look at that. My patch fixes the infinite loop but I may
> have broken one of your use cases. it is related to your
> f194d18dfeceff104f9c5e500ea4dd94fa1b5b06

yeah, thanks for the heads up, reverted that and applied a new fix
Comment 7 Not Assigned 2012-06-26 10:28:38 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=be92126c633f13589628068d523939c60f905894&g=libreoffice-3-6

Revert "set the zoom only once, prevents infinite loop, fdo#51040"


It will be available in LibreOffice 3.6.
Comment 8 Not Assigned 2012-06-26 10:29:06 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4a5e8fc26e2bbd37779505c40f470b3b3be9a5db&g=libreoffice-3-6

fix for fdo#51040 preview crash


It will be available in LibreOffice 3.6.
Comment 9 Not Assigned 2012-06-26 10:29:33 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ff62d9c4be26096c7f5ea06e4dee2b16d40aa16b

Revert "set the zoom only once, prevents infinite loop, fdo#51040"
Comment 10 Not Assigned 2012-06-26 10:29:57 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=baf87aacce6d75f9b01156ce085ef4487d46a406

fix for fdo#51040 preview crash